when:
  - event: push
    branch: main

depends_on:
  - test

services:
  - name: miniauth 
    image: git.keks.cloud/kekskurse/miniauth:${CI_COMMIT_SHA}
    ports:
      - 8080

steps:
  - name: playwright
    image: mcr.microsoft.com/playwright:v1.50.0
    commands:
      - cd playwright;
      - npm install
      - npx playwright install
      - npx playwright test 
